%global momorel 11

Summary: Rast - N-gram based full-text search system
Name: rast
Version: 0.3.1
Release: %{momorel}m
License: Modified BSD
Group: Applications/Text
%NoSource 0 http://projects.netlab.jp/rast/archives/rast-%{version}.tar.bz2 baa52511e6c9eb838ed80bcc22bf7323
Patch0: rast-0.3.1-xmlrpc-c-1.04.patch
URL: http://projects.netlab.jp/rast/
BuildRoot: /var/tmp/%{name}-%{version}-root/
BuildRequires: apr-devel >= 1.2.6-1m
BuildRequires: apr-util-devel >= 1.2.6-1m
BuildRequires: db4-devel >= 4.3
BuildRequires: libicu-devel
BuildRequires: mecab-devel, ruby-devel
BuildRequires: xmlrpc-c-devel >= 1.04
Obsoletes: rast-ruby
Requires: icu

%description
Rast is a N-gram based full-text search system.

%package devel
Summary: Libraries and header files for Rast
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Libraries and header files for Rast

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="%{optflags} `%{_bindir}/apr-1-config --cppflags --includes --cflags`"
./bootstrap
%configure  --with-apr-config=%{_bindir}/apr-1-config --with-apu-config=%{_bindir}/apu-1-config 
%make LDFLAGS='-L../src/.libs'

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{ruby_archdir}
%makeinstall \
  encodingdir=%{buildroot}%{_libdir}/rast/encodings \
  filtermoduledir=%{buildroot}%{_libdir}/rast/filters \
  rubyfiltermoduledir=%{buildroot}%{_libdir}/rast/filters/ruby \
  rubyarchdir=%{buildroot}%{ruby_archdir}

# install rast-cgi
mkdir -p %{buildroot}%{_datadir}/rast-cgi
cp -p cgi/* %{buildroot}%{_datadir}/rast-cgi
rm -f %{buildroot}%{_datadir}/rast-cgi/Makefile*

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
if [ "$1" = 0 ]; then
    /sbin/ldconfig
fi

%files 
%defattr(-, root, root)
%doc COPYING README.* docs/ruby-* docs/*.css
%{_bindir}/rast
%{_bindir}/rast-cmd
%{_bindir}/rast-create
%{_bindir}/rast-delete
%{_bindir}/rast-optimize
%{_bindir}/rast-register
%{_bindir}/rast-search
%{_bindir}/rast-stat
%{_bindir}/rast-xmlrpc-server-abyss
%{_bindir}/rast-xmlrpc-server.cgi
%{_libdir}/lib*.so.*
%{_libdir}/rast
%{_mandir}/*/*
%{ruby_archdir}/*
%{_datadir}/rast-cgi

%files devel
%defattr(-, root, root)
%{_bindir}/rast-config
%{_includedir}/rast
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_datadir}/aclocal/rast.m4

%changelog
* Tue May 30 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.1-11m)
- revise %%files to avoid conflicting

* Sun May 28 2006 Kazuhiko <kazuhiko@fdiary.net>
- (0.3.1-10m)
- explicitly set LDFLAGS.

* Thu May 25 2006 Kazuhiko <kazuhiko@fdiary.net>
- (0.3.1-9m)
- add rast-0.3.1-xmlrpc-c-1.04.patch

* Wed May 24 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.3.1-8m)
- rebuild against xmlrpc-c-1.04-1m

* Sun May 21 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.3.1-7m)
- rebuild against icu-3.4.1-1m

* Mon May 08 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.3.1-6m)
- rebuild against mecab-0.91-1m

* Thu May  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.1-5m)
- modify CFLAGS against new httpd and apr

* Thu May  4 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.1-4m)
- Require httpd-apr -> apr-devel, apr-util-devel

* Sat Jan 14 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.3.1-3m)
- rebuild against httpd-2.0.55-3m

* Mon Jan  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.3.1-2m)
- rebuild against db4.3

* Sat Sep 17 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.3.1-1m)
- version up
- merge the rast-ruby subpackage into the rast package

* Thu Jun 30 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.2.0-1m)
- version up

* Sun Jun 12 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.1-2m)
- suppress aclocal warning.

* Thu May 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.1.1-1m)
- initial import to Momonga
